
(*       uses VenomGFX;
       begin
       Init_Graph(find_mode(800,600));{sets graphics mode}
       Clr(vga,65535);                {fills screen with white color}
       Circle(vga,400,300,80,64000);  {draws red circle on the screen}
       Init_mouse(vga);               {setup mouse driver}
       MouseShow;                     {shows mouse}
       repeat until Mouse_L;          {wait for press of left button}
       while Mouse_L do;              {wait while button not released}
       Kill_graph;                    {done mouse driver and restore textmode}
       end.
*)

uses VNM_pcx,VenomGFX,VNM_png,Vnm_gif,Vnm_jpg,VNM_wmf;
       var v,v2,v3,v4,v5,v6:virtualwindow;
           b,b2,b3,b4,b5,b6:byte;

       begin
       Init_Graph(find_mode(800,600),BANK_ACCESS,BEST_FQ or 70);
       {sets mode 800x600x16 in LFB mode with highest rate which is your
        monitor able to do or with 70Hz when monitor info not available}

       {
       b:=Load_Image('woman.bmp',v);
       b2:=Load_Image('akr.pcx',v2);
       b3:=Load_Image('hermanek.png',v3);
       b4:=Load_Image('aherm.gif',v4);
       b5:=Load_Image('mosfilm.jpg',v5);
       b6:=Load_Image('an00015_.wmf',v6);
       }

       b:=Load_Image('akr.pcx',v);
       b2:=Load_Image('forest.grp#1_bgr_02.pcx',v2);
       b3:=Load_Image('goup.grp#forest.grp#1_sign.pcx',v3);

       b4:=1;
       b5:=1;
       b6:=1;


       (*
       Load_PNG('image.png',v);       {loads image into structure V}
       Circle(v, v.breite div 2, v.hoehe div 2, 50, 10, 64000);
       {into loaded sprite drow 5px thick red circle}
       *)

       if b=0 then PutClippedSprite(vga,v,0,300);
       {put this sprite on screen}

       if b2=0 then PutClippedSprite(vga,v2,0,0);
       {put this sprite on screen}

       if b3=0 then PutClippedSprite(vga,v3,400,0);
       {put this sprite on screen}

       if b4=0 then PutClippedSprite(vga,v4,0,300);
       {put this sprite on screen}

       if b5=0 then PutClippedSprite(vga,v5,400,300);
       {put this sprite on screen}

       if b6=0 then PutClippedSprite(vga,v6,200,200);
       {put this sprite on screen}


       Init_mouse(vga);               {setup mouse driver}
       MouseShow;                     {shows mouse}
       repeat
       MouseWatch;
       until Mouse_L;          {wait for press of left button}
       while Mouse_L do;              {wait while button not released}
       Kill_graph;                    {done mouse driver and restore textmode}
       end.
